import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      namelist: {},
      // choose:false,
    },
    mutations: {
        updateHouseNameList(state, namelist) {
        state.namelist = namelist
      },
      // updatechoose(state, data) {
      //   state.choose = data
      // }
    },
    actions: {
      getHouseNameList({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('housenamelist.getnamelist',{ project_id: params.project_id })}).then((data) => {
            commit('updateHouseNameList', data)
            resolve()            
          }).catch(reject)
        });
      },
    //   updatechoose({ commit }) {
    //     // debugger
    //   commit('updatechoose', true)
    // }
    }
  }